mutation RefreshScxCategoryAttributeDefinitions($request: RefreshScxCategoryAttributeDefinitionsCommandRequestInput!) {
RefreshScxCategoryAttributeDefinitions(request: $request)
}{
"request": {
"salesChannelId": "string",
"channelCategoryId": "id"
}
}{
"data": {
"RefreshScxCategoryAttributeDefinitions": true
}
}RefreshScxCategoryAttributeDefinitions
Refreshes the attribute definitions of one marketplace channel category of an SCX seller from the marketplace, as delivered by “GET /v2/scx/categories//attributes” or “QueryScxCategoryAttribute”. The refresh is done right away, even if the definitions were refreshed shortly before. The call refreshes definitions only and writes no attribute values itself. The definitions apply to the whole marketplace channel, not only to this seller. Attribute definitions that the marketplace no longer lists may be removed. Values stored for removed category attributes may be removed as well, for all sellers of the channel. The seller is part of the route because the call to the marketplace uses the seller’s credentials. Calls to the marketplace are rate limited by the marketplace. If the limit is reached, the call fails with the error SCX_ATTRIBUTE_SYNC_FAILED.
If a request with this mutation’s Idempotency-Key was already completed, the response’s extensions contains an idempotency.{responseName} entry with wasReplayed: true.
RefreshScxCategoryAttributeDefinitions(request: RefreshScxCategoryAttributeDefinitionsCommandRequestInput!): Boolean!Arguments
Returns
mutation RefreshScxCategoryAttributeDefinitions($request: RefreshScxCategoryAttributeDefinitionsCommandRequestInput!) {
RefreshScxCategoryAttributeDefinitions(request: $request)
}{
"request": {
"salesChannelId": "string",
"channelCategoryId": "id"
}
}{
"data": {
"RefreshScxCategoryAttributeDefinitions": true
}
}Was this page helpful?